epp_dcpPurposeType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_dcpPurposeType class

### org.openrtk.idl.epp0503

# Class epp_dcpPurposeType

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_dcpPurposeType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpPurposeType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of data collection purpose types which describes EPP server's policy of data collection and management. Five purpose types are defined: CONTACT, DN_REG, IP_REG, OTHER_PURPOSE, TM_REG. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_dcpPurposeType.java,v 1.2 2003/09/10 21:29:56 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:56 $

See Also:
  `epp_dcpStatement`, `EPPGreeting`

  ## Field Summary
  `static epp_dcpPurposeType` | `CONTACT` Instance of epp_dcpPurposeType representing the CONTACT purpose type.
  `static epp_dcpPurposeType` | `DN_REG` Instance of epp_dcpPurposeType representing the DN_REG purpose type.
  `static epp_dcpPurposeType` | `IP_REG` Instance of epp_dcpPurposeType representing the IP_REG purpose type.
  `static epp_dcpPurposeType` | `OTHER_PURPOSE` Instance of epp_dcpPurposeType representing the OTHER_PURPOSE purpose type.
  `static epp_dcpPurposeType` | `TM_REG` Instance of epp_dcpPurposeType representing the TM_REG purpose type.
  `static int` | `_CONTACT` Integer value representing the CONTACT purpose type.
  `static int` | `_DN_REG` Integer value representing the DN_REG purpose type.
  `static int` | `_IP_REG` Integer value representing the IP_REG purpose type.
  `static int` | `_OTHER_PURPOSE` Integer value representing the OTHER_PURPOSE purpose type.
  `static int` | `_TM_REG` Integer value representing the TM_REG purpose type.

  ## Constructor Summary
  `epp_dcpPurposeType(int value)` For internal use only.

  ## Method Summary
  `static epp_dcpPurposeType` | `from_int(int value)` Transform an integer into a epp_dcpPurposeType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the data collection purpose type.

## Field Details

### CONTACT

    public static final epp_dcpPurposeType CONTACT

> Instance of epp_dcpPurposeType representing the CONTACT purpose type.

### DN_REG

    public static final epp_dcpPurposeType DN_REG

> Instance of epp_dcpPurposeType representing the DN_REG purpose type.

### IP_REG

    public static final epp_dcpPurposeType IP_REG

> Instance of epp_dcpPurposeType representing the IP_REG purpose type.

### OTHER_PURPOSE

    public static final epp_dcpPurposeType OTHER_PURPOSE

> Instance of epp_dcpPurposeType representing the OTHER_PURPOSE purpose type.

### TM_REG

    public static final epp_dcpPurposeType TM_REG

> Instance of epp_dcpPurposeType representing the TM_REG purpose type.

### _CONTACT

    public static final int _CONTACT

> Integer value representing the CONTACT purpose type.
> Field Value:
>   0
> See Also:
>   `CONTACT`

### _DN_REG

    public static final int _DN_REG

> Integer value representing the DN_REG purpose type.
> Field Value:
>   1
> See Also:
>   `DN_REG`

### _IP_REG

    public static final int _IP_REG

> Integer value representing the IP_REG purpose type.
> Field Value:
>   2
> See Also:
>   `IP_REG`

### _OTHER_PURPOSE

    public static final int _OTHER_PURPOSE

> Integer value representing the OTHER_PURPOSE purpose type.
> Field Value:
>   3
> See Also:
>   `OTHER_PURPOSE`

### _TM_REG

    public static final int _TM_REG

> Integer value representing the TM_REG purpose type.
> Field Value:
>   4
> See Also:
>   `TM_REG`

## Constructor Details

### epp_dcpPurposeType

    protected epp_dcpPurposeType(int value)

> For internal use only. Initializes the internal purpose type array.
> Parameters:
>   `value` - The integer value for the desired purpose type

## Method Details

### from_int

    public static epp_dcpPurposeType from_int(int value)

> Transform an integer into a epp_dcpPurposeType constant. Given the integer representation of the purpose type, returns one of the purpose type constants.
> Parameters:
>   `value` - The integer value for the desired purpose type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the data collection purpose type.
> Returns:
>   The integer value of this purpose type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS